#!/bin/python3

from collections import Counter

def countsort(input_array):
  'Sorts and returns a given list using counting sort.'
  
  # Storing counts of each integer
  integer_counts = Counter(input_array)
  
  # Cascade positional values
  for key in range(min(input_array), max(input_array) + 1):
    integer_counts[key] += integer_counts[key - 1]
  
  # Build output array
  output_array = [0 for i in range(len(input_array))]
  for element in reversed(input_array):
    output_array[integer_counts[element] - 1] = element
    integer_counts[element] -= 1
  
  return output_array

def entry(input_array):
  return countsort(input_array)
